{
  "name": "mantine-next-template",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "env:up": "docker-compose --file=./docker-compose.yml --env-file=.env up -d --force-recreate --remove-orphans",
    "env:down": "docker-compose --file=./docker-compose.yml down --remove-orphans",
    "dev": "next dev",
    "build": "next build",
    "analyze": "ANALYZE=true next build",
    "start": "next start",
    "typecheck": "tsc --noEmit",
    "lint": "next lint && npm run lint:stylelint",
    "lint:stylelint": "stylelint '**/*.css' --cache",
    "jest": "jest",
    "jest:watch": "jest --watch",
    "prettier:check": "prettier --check \"**/*.{ts,tsx}\"",
    "prettier:write": "prettier --write \"**/*.{ts,tsx}\"",
    "test": "npm run prettier:check && npm run lint && npm run typecheck && npm run jest",
    "storybook": "storybook dev -p 6006",
    "storybook:build": "storybook build",
    "postinstall": "prisma generate"
  },
  "dependencies": {
    "@clerk/nextjs": "^4.29.5",
    "@clerk/themes": "^1.7.9",
    "@emotion/react": "^11.11.3",
    "@emotion/styled": "^11.11.0",
    "@mantine/core": "7.4.2",
    "@mantine/form": "^7.4.2",
    "@mantine/hooks": "7.4.2",
    "@mantine/notifications": "^7.4.2",
    "@mui/icons-material": "^5.15.6",
    "@mui/material": "^5.15.6",
    "@next/bundle-analyzer": "^14.0.1",
    "@prisma/client": "^5.8.1",
    "@tabler/icons-react": "^2.40.0",
    "next": "14.0.1",
    "react": "18.2.0",
    "react-dom": "18.2.0"
  },
  "devDependencies": {
    "@babel/core": "^7.23.2",
    "@next/eslint-plugin-next": "^14.0.1",
    "@storybook/addon-essentials": "^7.5.2",
    "@storybook/addon-styling-webpack": "^0.0.5",
    "@storybook/blocks": "^7.5.2",
    "@storybook/nextjs": "^7.5.2",
    "@storybook/react": "^7.5.2",
    "@testing-library/dom": "^9.3.3",
    "@testing-library/jest-dom": "^6.1.4",
    "@testing-library/react": "^14.0.0",
    "@testing-library/user-event": "^14.5.1",
    "@types/jest": "^29.5.7",
    "@types/node": "^20.8.10",
    "@types/react": "18.2.34",
    "@typescript-eslint/eslint-plugin": "^6.9.1",
    "@typescript-eslint/parser": "^6.9.1",
    "babel-loader": "^9.1.3",
    "eslint": "^8.53.0",
    "eslint-config-airbnb": "19.0.4",
    "eslint-config-airbnb-typescript": "^17.1.0",
    "eslint-config-mantine": "3.0.0",
    "eslint-plugin-import": "^2.29.0",
    "eslint-plugin-jest": "^27.6.0",
    "eslint-plugin-jsx-a11y": "^6.8.0",
    "eslint-plugin-react": "^7.33.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-testing-library": "^6.1.0",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "postcss": "^8.4.31",
    "postcss-preset-mantine": "1.12.3",
    "postcss-simple-vars": "^7.0.1",
    "prettier": "^3.0.3",
    "prisma": "^5.8.1",
    "storybook": "^7.5.2",
    "storybook-dark-mode": "^3.0.1",
    "stylelint": "^15.11.0",
    "stylelint-config-standard-scss": "^11.1.0",
    "ts-jest": "^29.1.1",
    "typescript": "5.2.2"
  },
  "packageManager": "yarn@4.0.1"
}
